#ifndef __STDCLIENT_BITMAPS_H
#define __STDCLIENT_BITMAPS_H

/*
 * The standard client has the capability to color it's titlebar buttons
 * according to the new color scheme. In order to do this it needs a bitmap
 * for each shade which it draws into a pixmap with the appropriate color.
 * These are all the bitmaps.
 */

static const char * bottom_right_xpm[] = {
    "22 22 5 1",
    " 	c None",
    ".	c #727272",
    "+	c #929292",
    "@	c #000000",
    "#	c #AEAEAE",
    "                .+..@@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "                .#++.@",
    "+...............#+++.@",
    "################+++.@ ",
    "#++++++++++++++++++.@ ",
    "#++++++++++++++++..@  ",
    "+................@@   ",
    "@@@@@@@@@@@@@@@@@     "};

static const char * bottom_left_xpm[] = {
    "22 22 5 1",
    " 	c None",
    ".	c #000000",
    "+	c #929292",
    "@	c #727272",
    "#	c #AEAEAE",
    ".+@@@@                ",
    ".####@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#+++@                ",
    ".#++++@@@@@@@@@@@@@@@@",
    " .#++++##############+",
    " .#++++++++++++++++++@",
    "  .@@++++++++++++++++@",
    "   ..@@@@@@@@@@@@@@@@@",
    "     ................."};

static unsigned char iconify_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xf8, 0x07, 0xfc, 0x0f, 0xfc, 0x0f, 0xf8, 0x07,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char close_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x18, 0x06, 0x3c, 0x0f, 0xfc, 0x0f, 0xf8, 0x07,
    0xf0, 0x03, 0xf0, 0x03, 0xf8, 0x07, 0xfc, 0x0f, 0x3c, 0x0f, 0x18, 0x06,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char maximize_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0xf8, 0x07, 0xfc, 0x0f, 0xfc, 0x0f, 0xfc, 0x0f,
    0x04, 0x08, 0x04, 0x08, 0x04, 0x08, 0x04, 0x08, 0x04, 0x08, 0xf8, 0x07,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char minmax_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0xe0, 0x07, 0xf0, 0x0f, 0x00, 0x08, 0xfc, 0x0b,
    0xfc, 0x0b, 0xfc, 0x0b, 0x04, 0x0a, 0x04, 0x02, 0x04, 0x02, 0xfc, 0x03,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char question_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x98, 0x01, 0x80, 0x01, 0xc0, 0x00,
    0x60, 0x00, 0x00, 0x00, 0x60, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char menu_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0c, 0x0c, 0x1e, 0x1e, 0x3e, 0x1f,
    0xfc, 0x0f, 0xf8, 0x07, 0xf0, 0x03, 0xe0, 0x01, 0xc0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00 };

static unsigned char pindown_white_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x80, 0x1f, 0xa0, 0x03,
    0xb0, 0x01, 0x30, 0x01, 0xf0, 0x00, 0x70, 0x00, 0x20, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pindown_gray_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c,
    0x00, 0x0e, 0x00, 0x06, 0x00, 0x00, 0x80, 0x07, 0xc0, 0x03, 0xe0, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pindown_dgray_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xc0, 0x10, 0x70, 0x20, 0x50, 0x20,
    0x48, 0x30, 0xc8, 0x38, 0x08, 0x1f, 0x08, 0x18, 0x10, 0x1c, 0x10, 0x0e,
    0xe0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pindown_mask_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xc0, 0x1f, 0xf0, 0x3f, 0xf0, 0x3f,
    0xf8, 0x3f, 0xf8, 0x3f, 0xf8, 0x1f, 0xf8, 0x1f, 0xf0, 0x1f, 0xf0, 0x0f,
    0xe0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pinup_white_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x80, 0x11,
    0x3f, 0x15, 0x00, 0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pinup_gray_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x80, 0x0a, 0xbf, 0x0a, 0x80, 0x15, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pinup_dgray_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x20, 0x40, 0x31, 0x40, 0x2e,
    0x40, 0x20, 0x40, 0x20, 0x7f, 0x2a, 0x40, 0x3f, 0xc0, 0x31, 0xc0, 0x20,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static unsigned char pinup_mask_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x20, 0xc0, 0x31, 0xc0, 0x3f,
    0xff, 0x3f, 0xff, 0x3f, 0xff, 0x3f, 0xc0, 0x3f, 0xc0, 0x31, 0xc0, 0x20,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

#endif
